#
# Site Configuration
#

DTP_SITE_NAME=DTP Base
DTP_SITE_DESCRIPTION=Enabling the success of the Next economy
DTP_SITE_DOMAIN=localhost
DTP_SITE_DOMAIN_KEY=webapp.digitaltelepresence.com
DTP_SITE_COMPANY=DTP Technologies, LLC
DTP_PASSWORD_SALT=b63ebaf1-3afb-4aee-9138-c42059a58a69

#
# Redis
#

REDIS_HOST=redis
REDIS_PORT=6379
REDIS_PASSWORD=1f9936ce-9d21-43dd-8638-908088f06a00
REDIS_KEY_PREFIX=base

#
# DTP Host Cache
#

DTP_HOST_CACHE_PORT=8000
DTP_HOST_CACHE_PATH=/tmp/dtp/host-cache
DTP_HOST_CACHE_AUTH_KEY=c071fa18-3c48-4337-a6af-6459ebdd8537
DTP_HOST_CACHE_CLEAN_CRON=*/30 * * * * *

#
# MongoDB
#

MONGODB_HOST=mongodb:27017
MONGODB_DATABASE=dtp-base
MONGODB_POOL_SIZE=10

#
# MinIO/S3
#

MINIO_ENDPOINT=nginx
MINIO_PORT=9000
MINIO_USE_SSL=disabled
MINIO_ACCESS_KEY=dtp-base
MINIO_SECRET_KEY=44710206-9115-443b-b02d-2ee74afe156d

MINIO_IMAGE_BUCKET=base-images
MINIO_VIDEO_BUCKET=base-videos

#
# Web Application Server
#

HTTP_BIND_ADDRESS=0.0.0.0
HTTP_BIND_PORT=3000
HTTP_SESSION_SECRET=1c7ea8dc-f92b-49b9-8f35-da040e8f7313

#
# Bitcoin Average API
#

BITCOINAVERAGE_KEY=
BITCOINAVERAGE_CRON=0 */30 * * * *

#
# SMTP/email configuration
#

DTP_EMAIL_SERVICE=disabled

DTP_EMAIL_SMTP_HOST=
DTP_EMAIL_SMTP_PORT=465
DTP_EMAIL_SMTP_SECURE=enabled

DTP_EMAIL_SMTP_FROM=
DTP_EMAIL_SMTP_USER=
DTP_EMAIL_SMTP_PASS=

DTP_EMAIL_SMTP_POOL_ENABLED=enabled
DTP_EMAIL_SMTP_POOL_MAX_CONN=5
DTP_EMAIL_SMTP_POOL_MAX_MSGS=100

#
# Work Paths
#

DTP_IMAGE_WORK_PATH=/tmp/dtp/image-work
DTP_VIDEO_WORK_PATH=/tmp/dtp/video-work

#
# FFMPEG options
#

DTP_FFMPEG_PATH=/usr/bin/ffmpeg
DTP_FFPROBE_PATH=/usr/bin/ffprobe
DTP_ENABLE_GPU=disabled

#
# System Logger options
#

DTP_LOG_CONSOLE=enabled
DTP_LOG_MONGODB=enabled
DTP_LOG_FILE=enabled

DTP_LOG_FILE_PATH=/tmp/dtp/logs
DTP_LOG_FILE_NAME_APP=base-app.log
DTP_LOG_FILE_NAME_HTTP=base-access.log

DTP_LOG_DEBUG=enabled
DTP_LOG_INFO=enabled
DTP_LOG_WARN=enabled

DTP_LOG_HTTP_FORMAT=combined